Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-roa
%define fedora 25
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-0.3.1
%global pypi_name django-roa

Name:           python-module-django-roa
Version:        1.7
Release:        alt1_12
Summary:        Turn your models into remote resources that you can access through Django's ORM

License:        BSD
URL:            http://pypi.python.org/pypi/django-roa/1.7
Source0:        http://pypi.python.org/packages/source/d/django-roa/django-roa-1.7.tar.gz
Source1:        http://code.larlet.fr/django-roa/raw/08359f107f32/LICENSE
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

Requires:       python-module-restkit
%if 0%{?fedora} < 18
Requires:       python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3
%else
Requires:       python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3
%endif


%description
Turn your models into remote resources that you can access through
Django's ORM. ROA stands for Resource Oriented Architecture.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_docdir}/%{oldname}
rm -rf %{buildroot}%{python_sitelibdir_noarch}/examples


%files
%doc LICENSE examples
%{python_sitelibdir_noarch}/django_roa
%{python_sitelibdir_noarch}/django_roa-%{version}-py?.?.egg-info


%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_12
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_11
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_10
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_7
- update to new release by fcimport

* Tue Dec 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_3
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_2
- initial fc import

